<?php
session_start();

mb_internal_encoding('UTF-8');
//------------------------------------------------------------------------------
// NE PAS COPIER CES VARIABLES DANS LES DOSSIERS FICHIERS config.php
//------------------------------------------------------------------------------

//**********************
//Configuration du chemin
//**********************
// Dans cette configuration, l’arborescence des dossiers est
// root
//    |- source <- dossier de téléchargement
//    |- thumbs <- dossier de vignettes [doit avoir l'autorisation d'écriture (755)]
//    |- filemanager
//    |- js
//    |   |- tinymce
//    |   |   |- plugins
//    |   |   |   |- responsivefilemanager
//    |   |   |   |   |- plugin.min.js

// $base_url = URL de base (domaine seulement ,ex: http://mondomaine.fr ) du site (sans / final).
// Vous pouvez laisser cette ligne ainsi, uniquement remplacer https par http si le site n'est pas sécurisé 
$base_url="https://".$_SERVER['HTTP_HOST']; 

// chemin du dossier de téléchargement après $base_url (avec / de début et de fin),
// si le dossier est à la base du site, cette ligne est ok, sinon '/un-dossier/pano/tinymce4/filemanager/source/';   
$upload_dir = '/pano/tinymce4/filemanager/source/';

//En principe, les 2 paramètres suivants ne sont pas à modifier
$current_path = 'source/'; // chemin relatif du dossier filemanager au dossier (avec / final)
$thumbs_base_path = '../thumbs/'; // chemin relatif du dossier thumbs de téléchargement dans filemanager (avec final /)

//--------------------------------------------------------------------------------------------------------
// VOUS POUVEZ COPIER ET MODIFIER CES VARIABLES DANS DES FICHIERS config.php POUR PERSONNALISER CHAQUE OPTION DE DOSSIER
//--------------------------------------------------------------------------------------------------------

$MaxSizeUpload=100; //Mb

$default_language="fr_FR"; //nom du fichier de langue par défaut
$icon_theme="ico"; //ico ou ico_dark vous pouvez personnaliser en mettant un dossier dans le gestionnaire de fichiers /img
$show_folder_size=true; //afficher ou non la taille du dossier dans la fonctionnalité d'affichage de liste dans le gestionnaire de fichiers (il est possible d'augmenter considérablement les calculs s'il existe un grand dossier)
$show_sorting_bar=true; //afficher ou non la fonctionnalité de tri dans le gestionnaire de fichiers
$loading_bar=true; //Montrer ou pas la barre de chargement
$transliteration=false; //convertir ou pas tous les caractères spéciaux en caractères A..Za..z0..9) laisser à false pour conserver les accents.

//*******************************************
//Limite d'images et configuration de redimensionnement
//*******************************************

// définir la largeur maximale et/ou la hauteur maximale en pixels pour toutes les images
// Si vous définissez une largeur ou une hauteur maximale, les images surdimensionnées sont converties en ces limites. Les images plus petites que la limite ne sont pas affectées
// définir à 0 si vous n'avez pas besoin d'une limite 
$image_max_width=0;
$image_max_height=0;

//Redimensionnement automatique //
// Si vous définissez $image_resizing sur true, le script convertit toutes les images téléchargées exactement en dimension image_resizing_width x image_resizing_height.
// Si vous définissez largeur ou hauteur sur 0, le script calcule automatiquement l'autre dimension.
// Il est possible que si vous téléchargez de très grandes images, le script ne fonctionne en cas de dépassement de la mémoire et/ou de la limite de temps
$image_resizing=false;
$image_resizing_width=0;
$image_resizing_height=0;

//******************
// Paramètre de disposition par défaut
//
// 0 => box
// 1 => liste détaillée (1 colonne)
// 2 => liste des colonnes (plusieurs colonnes en fonction de la largeur de la page)
// VOUS POUVEZ AUSSI PASSER CE PARAMÈTRE À L'AIDE DE VAR => $ _SESSION ["VIEW"] =
//
//******************
$default_view=0;

//définir si le nom du fichier est tronqué lors du débordement de la première ligne
$ellipsis_title_after_first_row=true;

//*************************
//Configuration des autorisations
//******************
$delete_files=true;
$create_folders=true;
$delete_folders=true;
$upload_files=true;
$rename_files=true;
$rename_folders=true;
$duplicate_files=true;

//**********************
//Extensions autorisées (insert en minuscule)
//**********************
$ext_img = array('jpg', 'jpeg', 'png', 'gif', 'bmp', 'tiff', 'svg'); //Images
$ext_file = array('doc', 'docx','rtf', 'pdf', 'xls', 'xlsx', 'txt', 'csv','html','xhtml','psd','sql','log','fla','xml','ade','adp','mdb','accdb','ppt','pptx','odt','ots','ott','odb','odg','otp','otg','odf','ods','odp','css','ai'); //Files
$ext_video = array('mov', 'mpeg', 'mp4', 'avi', 'mpg','wma',"flv","webm"); //Video 
$ext_music = array('mp3', 'm4a', 'ac3', 'aiff', 'mid','ogg','wav'); //Audio
$ext_misc = array('zip', 'rar','gz','tar','iso','dmg'); //Archives

$ext=array_merge($ext_img, $ext_file, $ext_misc, $ext_video,$ext_music); //extensions autorisées


/******************
 * AVIARY config
*******************/
$aviary_active=false;
$aviary_key="dvh8qudbp6yx2bnp";
$aviary_secret="m6xaym5q42rpw433";
$aviary_version=3;
$aviary_language='fr';


//Le filtre et le trieur sont gérés à l'aide de scripts javascript et php, car si vous avez beaucoup de
//fichiers dans un dossier le script javascript ne peut pas tout trier ni tout filtrer, le gestionnaire de fichiers commute alors en script php.
//Le plugin automatique swich javascript pour php lorsque le dossier en cours dépasse la limite inférieure au nombre de fichiers
$file_number_limit_js=500;

//**********************
// Fichiers et dossiers cachés
//**********************
// définir les noms des dossiers que vous souhaitez masquer (par exemple, "hidden_folder1", "hidden_folder2") N'oubliez pas que tous les dossiers portant ces noms seront masqués (vous pouvez définir des exceptions dans les fichiers config.php des dossiers).
$hidden_folders = array();
// définir les noms des fichiers que vous souhaitez masquer. N'oubliez pas que ces noms seront cachés dans tous les dossiers (par exemple "this_document.pdf", "that_image.jpg")
$hidden_files = array('config.php');

/*******************
 * JAVA upload 
 *******************/
$java_upload=true;
$JAVAMaxSizeUpload=200; //Gb


//************************************
//Vignette pour la création d'utilisation externe
//************************************


// Nouvelle création d'image redimensionnée avec chemin fixe dans le dossier filemanager après le téléchargement (vignettes en mode fixe)
// Si vous souhaitez créer des images redimensionnées hors du dossier de téléchargement pour les utiliser avec un script externe, vous pouvez choisir cette méthode.
// Vous pouvez également créer plusieurs images à la fois, il vous suffit simplement d'ajouter une valeur dans le tableau.
// Rappelez-vous que la création d’image respecte la hiérarchie des dossiers, donc si vous êtes dans source / test / test1 / la nouvelle image va se créer à
// path_from_filemanager/test/test1/
// PS s'il n'y a pas de permission d'écriture dans votre dossier de destination, vous devez le définir
$fixed_image_creation                   = false; //activer ou non la création d'une ou plusieurs images redimensionnées avec un chemin fixe depuis le dossier filemanager
$fixed_path_from_filemanager            = array('../test/','../test1/'); //chemin fixe du dossier de l'image à partir de la position actuelle sur le dossier de téléchargement
$fixed_image_creation_name_to_prepend   = array('','test_'); //nom à ajouter après nom de fichier
$fixed_image_creation_to_append         = array('_test',''); //nom à ajouter avant nom de fichier
$fixed_image_creation_width             = array(300,400); //largeur de l'image (vous pouvez laisser vide si vous définissez hauteur)
$fixed_image_creation_height            = array(200,''); //hauteur de l'image (vous pouvez laisser vide si vous définissez la largeur)


// Nouvelle création d'image redimensionnée avec chemin d'accès relatif pour télécharger le dossier après le téléchargement (vignettes en mode relatif)
// Avec Responsive Filemanager, vous pouvez créer une image automatiquement redimensionnée dans le dossier de téléchargement, également plus d'une à la fois.
// il suffit simplement d'ajouter une valeur dans le tableau
// Le chemin de création d'image est toujours relatif, donc si je suis dans source / test / test1 et que je télécharge une image, le chemin commence à partir d'ici.
$relative_image_creation                = false; //activer ou non la création d'une ou plusieurs images redimensionnées avec le chemin relatif depuis le dossier de téléchargement
$relative_path_from_current_pos         = array('thumb/','thumb/'); //chemin relatif du dossier d'images à partir de la position actuelle sur le dossier de téléchargement
$relative_image_creation_name_to_prepend= array('','test_'); //nom à ajouter au nom de fichier
$relative_image_creation_name_to_append = array('_test',''); //nom à ajouter sur nom de fichier
$relative_image_creation_width          = array(300,400); //largeur de l'image (vous pouvez laisser vide si vous définissez hauteur)
$relative_image_creation_height         = array(200,''); //hauteur de l'image (vous pouvez laisser vide si vous définissez la largeur)

?>
